/* start variables */
:root {
  --main-color: #f7dc79;
  --secondary-color: #f7e6b4;
  --back-color: #14594b;
  --box-shadow: rgba(149, 157, 165, 0.2) 0px 8px 24px;
  --text-color: #444648;
  --padding-top: 80px;
  --padding-bottom: 80px;
}

/* fonts */
* {
  box-sizing: border-box;
}

body,
html {
  box-sizing: border-box;
  margin: 0;
  padding: 0;
  font-family: 'IBM Plex Sans Arabic', 'IBM Plex Sans', sans-serif;
  font-weight: 400;
  font-optical-sizing: auto;
  font-style: normal;
  overflow-x: hidden;
  width: 100%;
}

a,
ul,
li {
  text-decoration: none;
  list-style-type: none;
}

a {
  display: inline-block;
}

img {
  max-width: 100%;
}

/* Start Container Media Screen */
.container {
  padding: 0 15px;
  margin: auto;
}

/* Small Screens */
@media (min-width : 576px) {
  .container {
    width: 540px;
  }
}

/* Medium Secreens */
@media (min-width : 768px) {
  .container {
    width: 750px;
  }
}

/* Large Secreen */
@media (min-width : 992px) {
  .container {
    width: 970px;
  }
}

/* X-Large Secreen */
@media (min-width : 1200px) {
  .container {
    width: 1170px;
  }
}

/* XX-Large Secreen */
@media (min-width : 1400px) {
  .container {
    width: 1320px;
  }
}

/* End Container Media Screen */
/* Start Header */
header {
  background-color: var(--back-color);
  position: fixed;
  z-index: 3;
  top: 0;
  left: 0;
  width: 100%;
  box-shadow: var(--box-shadow);
}

header .container {
  display: flex;
  justify-content: space-between;
  align-items: center;
}

header .container img {
  max-width: 120px;
}

.logo {
  padding: 20px;
}

.btn_menu,
.btn_close {
  background-color: transparent;
  border: none;
  cursor: pointer;
  padding: 5px;
  font-size: 2rem;
}

.btn_menu {
  color: #fff;
}

.btn_menu:hover {
  color: var(--main-color);
}

@media (min-width: 768px) {

  .btn_menu,
  .btn_close,
  .close_nav {
    display: none;
  }
}

.btn_close :hover {
  color: red;
}

header .container a {
  color: white;
  transition: all .3s;
  font-weight: 500;
}

header .container a:hover {
  color: var(--main-color);
}

nav ul {
  display: flex;
  flex: 1;
  gap: 30px;
  align-items: center;
  transition: all .3s ease-in;
  /* white-space: nowrap; */
}

@media (max-width: 767px) {
  .overlay {
    position: fixed;
    top: 0;
    bottom: 0;
    right: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background-color: rgba(54, 54, 54, 0.2);
    backdrop-filter: blur(4px);
    z-index: 20;
  }

  .close_nav {
    max-width: 100%;
    margin: 10px 0px 5px;
    display: flex;
    justify-content: space-around;
  }

  nav {
    position: fixed;
    height: 100vh;
    z-index: 50;
    top: 0;
    right: -320px;
    width: 300px;
    max-width: 85%;
    background-color: #fff !important;
    box-shadow: rgba(100, 100, 111, 0.075) 0px 7px 29px 0px;
    transition: all .2s;
  }

  header .container  a {
    color: var(--back-color);
    transition: all .3s;
  }

  nav ul {
    padding: 30px 40px;
    text-align: center;
    flex-direction: column;
    justify-content: flex-start;
    align-items: center;
    gap: 30px;
    white-space: nowrap;
  }
}

/* End Header */